package com.pea.crmmobileworkforce

// import android.app.Application


// class App : Application() {
//     override fun onCreate() {
//         super.onCreate()
//         registerActivityLifecycleCallbacks(LifecycleDetector.activityLifecycleCallbacks)
//     }
// }

import io.flutter.app.FlutterApplication;
import io.flutter.plugin.common.PluginRegistry;
import io.flutter.plugin.common.PluginRegistry.PluginRegistrantCallback;
import io.flutter.plugins.GeneratedPluginRegistrant;
import io.flutter.plugins.firebasemessaging.FlutterFirebaseMessagingService;
import android.content.Context

class App : FlutterApplication() , PluginRegistrantCallback {
  override fun onCreate() {
    super.onCreate()
    println("---------- Application")
    registerActivityLifecycleCallbacks(LifecycleDetector.activityLifecycleCallbacks)
    FlutterFirebaseMessagingService.setPluginRegistrant(this)
  }

  override fun registerWith(registry: PluginRegistry) {
    io.flutter.plugins.firebasemessaging.FirebaseMessagingPlugin.registerWith(registry.  registrarFor("io.flutter.plugins.firebasemessaging.FirebaseMessagingPlugin"));
    
  }
  
}